PSTOPS(1)

NAZWA
pstops

SKŁADNIA
pstops [OPCJA...] [PLIK-WEJŚCIOWY [PLIK-WYJŚCIOWY]]

OPIS
Przekształca strony dokumentu PDF lub PostScript. Pliki PostScript powinny być zgodne z konwencjami strukturyzacji dokumentu Adobe (DSC).

Pstops może służyć do dowolnego przekształcenia dokumentów. W wielu zastosowaniach, łatwiej będzie skorzystać z innych narzędzi zestawu PSUtils: zob. psutils(1).

PLIK-WEJŚCIOWY
    "-" lub brak argumentu PLIK-WEJŚCIOWY oznacza standardowe wejście

PLIK-WYJŚCIOWY
    "-" lub brak argumentu PLIK-WYJŚCIOWY oznacza standardowe wyjście

OPCJE

-S OKREŚLENIE, --specs OKREŚLENIE
    określenie strony (zob. niżej)

-R ZAKRES-STRON, --pages ZAKRES-STRON
    wybiera podane zakresy strony

-e, --even
    wybiera wyjściowe strony parzyste

-o, --odd
    wybiera wyjściowe strony nieparzyste

-r, --reverse
    odwraca porządek stron wyjściowych

-p PAPIER, --paper PAPIER
    nazwa lub wymiary (SZEROKOŚĆxWYSOKOŚĆ) papieru wyjściowego

-P PAPIER-WEJŚCIOWY, --inpaper PAPIER-WEJŚCIOWY
    nazwa lub wymiary (SZEROKOŚĆxWYSOKOŚĆ) papieru wejściowego

-d [ROZMIAR], --draw [ROZMIAR]
    rysuje linię o podanej szerokości (relatywnie do pierwotnej strony) wokół każdej strony [argument domyślnie przyjmuje wartość 1pt; domyślnym ustawieniem jest brak linii; szerokość jest stała w przypadku PDF-ów]

-v, --version
    pokazuje wersję programu i kończy pracę

-q, --quiet
    nie pokazuje postępu

KOMENTARZE
STRONY to lista stron i zakresów stron, rozdzielona przecinkami.

OKREŚLENIE do lista określeń stron [domyślnie "0", co wybiera każdą stronę w zwykłej kolejności]:

Określenia stron mają następującą składnię:

    określenie-strony
        = [modulo:]określenie

    określenie
        = określenie[+określenie|,określenie]

    określenie
        = [-]nr-strony[transformacja...][@skalowanie][(przes-x,przes-y)]

    transformacja
        = L|R|U|H|V

modulo to liczba stron w każdym bloku. Wartość modulo powinna być większa od 0; domyślna wynosi 1.

określenie to określenia strony dla stron w każdym bloku. Wartości nr-strony w każdym określeniu powinny mieścić się między 0 (pierwsza strona w bloku) do modulo-1 (ostatnia strona w każdym bloku) włącznie. Jeśli występuje tylko jedno określenie strony, można pominąć nr-strony (0).

Opcjonalne wymiary przes-x i przes-y przesuwają stronę o podane wartości. przes-x i przes-y mogą być albo długościami (zob. psutils(1)) albo, po podaniu po nich w lub h, wielokrotnościami, odpowiednio, szerokości lub wysokości strony wyjściowej.

Opcjonalne transformacje L, R, U, H i V służą do: obrotu strony wokół lewego dolnego rogu: w lewo (L), w prawo (R), do góry nogami (U) albo do odbicia lustrzanego względem osi poziomej (H) lub pionowej (V). Opcjonalny parametr skalowanie skaluje stronę mnożąc przez podaną wartość. Jeśli podano się opcjonalny znak minus, numer strony jest liczony od końca dokumentu, zamiast od początku.

Strony, których określenia są oddzielone znakiem + zostaną połączone w jedną; inne pozostaną oddzielnymi stronami.

Przesunięcie, obrót i skalowanie są stosowane do macierzy transformacji PostScript w tej kolejności, bez względu na kolejność podaną w wierszu polecenia.

Nazwy rozmiarów papieru są przeliczane na rozmiary za pomocą paper(1). Wyjściowy rozmiar strony, jeśli go podano, służy (pod skalowaniu) do ustawienia docięcia każdej strony.

PRZYKŁADY
Aby wstawić dwie strony rodzaju A lub B (np. A4 lub B5) na jeden arkusz, należy podać następujące określenie-strony

2:0L@.7(1w,0)+1L@.7(1w,0.5h)

Aby wybrać wszystkie strony nieparzyste w odwróconym porządku:

2:-0

Aby przekształcić strony do drukowania dwustronnych broszur, należy użyć:

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h)

dla części przednich i

4:1L@.7(1w,0h)+-2L@.7(1w,0.5h)

dla części tylnych lub, w przypadku druku dwustronnego, łącząc te dwa określenia:

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1L@.7(1w,0h)+-2L@.7(1w,0.5h)

W przypadku druku dwustronnego poziomego:

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1R@.7(0w,0.5h)+-2R@.7(0w,1h)

AUTOR

USTERKI
pstops nie przyjmuje wszystkich komentarzy DSC.

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Przemek Borys <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.